id|julia_fractal|bicubic_patch|light_source|height_field|intersection|difference|cylinder|triangle|polygon|quartic|quadric|camera|sphere|object|merge|plane|lathe|torus|prism|cubic|union|poly|mesh|disc|cone|text|blob|box|sor)\b">
        <token type="NameBuiltin"/>
      </rule>
      <rule pattern="[\[\](){}&lt;&gt;;,]">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="[-+*/=]">
        <token type="Operator"/>
      </rule>
      <rule pattern="\b(x|y|z|u|v)\b">
        <token type="NameBuiltinPseudo"/>
      </rule>
      <rule pattern="[a-zA-Z_]\w*">
        <token type="Name"/>
      </rule>
      <rule pattern="[0-9]+\.[0-9]*">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="\.[0-9]+">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="[0-9]+">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="&#34;(\\\\|\\&#34;|[^&#34;])*&#34;">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\s+">
        <token type="Text"/>
      </rule>
    </state>
  </rules>
</lexer>